List outstanding credit commitments
curl --request GET \
--url https://api.stabyl.com/v1/partner/wallets/credit/outstanding \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.stabyl.com/v1/partner/wallets/credit/outstanding"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.stabyl.com/v1/partner/wallets/credit/outstanding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stabyl.com/v1/partner/wallets/credit/outstanding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stabyl.com/v1/partner/wallets/credit/outstanding"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stabyl.com/v1/partner/wallets/credit/outstanding")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stabyl.com/v1/partner/wallets/credit/outstanding")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"items": [
{
"amount": "2000.00",
"currency": "USD",
"due_at": "2026-10-09T10:00:00Z",
"id": "01980d95-5537-76aa-88a8-ad59117632ee",
"kind": "draw",
"opened_at": "2026-10-06T10:00:00Z",
"order_id": "01980d95-5537-76aa-88a8-ad59117632ee",
"outstanding": "2000.00",
"quote_currency": "NGN",
"quote_outstanding": "3100000.00",
"side": "buy",
"status": "open"
}
],
"next_cursor": null
},
"status": "success"
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "invalid request parameters"
},
"status": "error"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "missing X-Api-Key header"
},
"status": "error"
}Wallets
List outstanding credit commitments
Returns a cursor-paginated list of credit reserved for open orders and unpaid drawn credit grouped by order. Each item identifies its status, remaining outstanding amount and repayment due date when applicable. Pass next_cursor as cursor to continue.
GET
/
partner
/
wallets
/
credit
/
outstanding
List outstanding credit commitments
curl --request GET \
--url https://api.stabyl.com/v1/partner/wallets/credit/outstanding \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.stabyl.com/v1/partner/wallets/credit/outstanding"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.stabyl.com/v1/partner/wallets/credit/outstanding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stabyl.com/v1/partner/wallets/credit/outstanding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stabyl.com/v1/partner/wallets/credit/outstanding"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stabyl.com/v1/partner/wallets/credit/outstanding")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stabyl.com/v1/partner/wallets/credit/outstanding")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"items": [
{
"amount": "2000.00",
"currency": "USD",
"due_at": "2026-10-09T10:00:00Z",
"id": "01980d95-5537-76aa-88a8-ad59117632ee",
"kind": "draw",
"opened_at": "2026-10-06T10:00:00Z",
"order_id": "01980d95-5537-76aa-88a8-ad59117632ee",
"outstanding": "2000.00",
"quote_currency": "NGN",
"quote_outstanding": "3100000.00",
"side": "buy",
"status": "open"
}
],
"next_cursor": null
},
"status": "success"
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "invalid request parameters"
},
"status": "error"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "missing X-Api-Key header"
},
"status": "error"
}Authorizations
API credential. Withdrawal quote and submit operations additionally require the documented Ed25519 timestamp, nonce, and signature headers.
Query Parameters
Opaque cursor returned as next_cursor by the previous response for this endpoint.
Page size (default 20, max 100).
Required range:
x >= 0Was this page helpful?